# List all ACLs for a trunk

Get all access control list entries for a trunk.

Endpoint: GET /v1/projects/{projectId}/trunks/{trunkId}/accessControlLists
Version: 1.0.0
Security: Basic, OAuth2.0

## Security:

  - `Basic` (unknown)
    http basic

  - `OAuth2.0` (unknown)
    oauth2

## Path parameters:

  - `projectId` (string, required)
    The `projectId` is a required parameter you must include when making any API calls. You can find your project ID on your [Build dashboard](https://dashboard.sinch.com).

  - `trunkId` (string, required)
    The ID of the trunk that you want to work with

## Response 200:

  - `200` (unknown)
    The list of access control list entries

## Response 200 fields (application/json):

  - `accessControlListIds` (array)
    Array of AccessControlList ids

  - `totalItems` (integer)
    Total size of the result.
    Example: 10000

  - `pageNumber` (string)
    The token to be used for listing the next page
    Example: 1

  - `size` (integer)
    The number of items per page. default is 1000
    Example: 2000

## Response 200 examples:

  - `List ACLs assigned to a trunk` (unknown)
    All access control lists assigned to a trunk.

